[19.04 FEAT] Partial relro support

Bug #1783294 reported by bugproxy on 2018-07-24
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Unassigned
binutils (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Implement partial relro support for Linux on z
Separate the non-lazy relocations that get executed directly at load time and the lazy relocations that can occur at any time into distinct sections in the GOT (Global Offset Table
Benefit: Improved security via partial relro support

Will be made available with next version of binutils > 2.31

bugproxy (bugproxy) on 2018-07-24
tags: added: architecture-s39064 bugnameltc-163661 severity-high targetmilestone-inin1810
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → binutils-s390x-cross (Ubuntu)
Dimitri John Ledkov (xnox) wrote :

Is this fix released? Cosmic already has binutils 2.31.1-1ubuntu2. Please validate if it ships the requested feature already.

affects: binutils-s390x-cross (Ubuntu) → binutils (Ubuntu)
Changed in binutils (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
importance: Undecided → High

------- Comment From <email address hidden> 2018-07-24 06:58 EDT-------
Moved target to 19.04, will not make it into 18.10 timeframe...
Not included within version 2.31.......

tags: added: targetmilestone-inin1904
removed: targetmilestone-inin1810
Changed in ubuntu-z-systems:
status: New → Incomplete
summary: - [18.10 FEAT] Partial relro support
+ [19.04 FEAT] Partial relro support
description: updated
Changed in binutils (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
Frank Heimes (frank-heimes) wrote :

Also not included in 2.31.1, waiting for new upstream version and outlook for 19.04 ...

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-11-21 02:37 EDT-------
Moved target to 19.10, awaiting release of binutils 2.32

tags: added: targetmilestone-inin1910
removed: targetmilestone-inin1904
Frank Heimes (frank-heimes) wrote :

Adjusting title based on comment #4

summary: - [19.04 FEAT] Partial relro support
+ [19.10 FEAT] Partial relro support
summary: - [19.10 FEAT] Partial relro support
+ [19.04 FEAT] Partial relro support
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-12-04 04:52 EDT-------
Seems to be that binutils will make a GA End of January. Therefore move back again to 19.04, just in case.......

tags: added: targetmilestone-inin1904
removed: targetmilestone-inin1910
Changed in binutils (Ubuntu):
status: Incomplete → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Frank Heimes (frank-heimes) wrote :

With the availability of binutils > 2.31:
binutils | 2.32-1ubuntu4 | disco | s390x
this ticket is now solved and is updated to Fix Released.

Changed in binutils (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-02-11 11:16 EDT-------
IBM bugzilla status -> closed, Fix Released with disco

information type: Private → Public
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers